esp32-wifi-manager
------------------

WiFi Manager for ESP32. That's it. No captive portal, no fallback if AP is not available. Just WiFi Management.

# What *does* it do?

* Stores info for multiple APs
* Connects to "best" AP available
* Remembers which AP was connected to last
* Tells you you're a pretty alrigh person

# API

## `EventGroupHandle_t wifi_manager_start()`
Creates EventGroup and starts main WiFi Manager task loop.

## `uint8_t wifi_manager_ap_count()`
Return number of AP in storage.

## `uint8_t wifi_manager_add_ap(char *ssid, char *password)`
Adds AP to storage. !This will change! Will become a struct config.

# `EventGroupHandle_t wm_event_group Bits`

## `WIFI_CONNECTED`
WiFi connected has been successful.

## `WIFI_CONNECTING`
WiFi Manager is attempting to make a connection.

## `AP_AVAILABLE`		
AP info has been retreived from storage.
This is in flux, the naming is potentially confusing. 
